summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2004-01-06 04:13:02 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2004-01-06 04:13:02 +0000
commit03cc1e7fae5d5e5cb1c3ca02e39f948aa7d7e6e3 (patch)
treee673db33845ca0ceff16e05291e0a081f3909390 /net-misc/adjtimex/files
parentamd64 keywords (diff)
downloadhistorical-03cc1e7fae5d5e5cb1c3ca02e39f948aa7d7e6e3.tar.gz
historical-03cc1e7fae5d5e5cb1c3ca02e39f948aa7d7e6e3.tar.bz2
historical-03cc1e7fae5d5e5cb1c3ca02e39f948aa7d7e6e3.zip
initial commit, ebuild by robbat2@gentoo.org, solves bug #8459
Diffstat (limited to 'net-misc/adjtimex/files')
-rw-r--r--net-misc/adjtimex/files/adjtimex.init30
-rw-r--r--net-misc/adjtimex/files/digest-adjtimex-1.162
2 files changed, 32 insertions, 0 deletions
diff --git a/net-misc/adjtimex/files/adjtimex.init b/net-misc/adjtimex/files/adjtimex.init
new file mode 100644
index 000000000000..c58ab04e60a6
--- /dev/null
+++ b/net-misc/adjtimex/files/adjtimex.init
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/adjtimex/files/adjtimex.init,v 1.1 2004/01/06 04:13:02 robbat2 Exp $
+
+DAEMON=adjtimex
+OPTS="--tick ${TICK} --frequency ${FREQ}"
+CONFD="/etc/conf.d/${DAEMON}"
+
+checkconfig() {
+ if [ ! -f "${CONFD}" ]; then
+ eerror "Configuration file not found!"
+ eerror "You should run adjtimexconfig to create it."
+ return 1
+ fi
+}
+
+
+start() {
+ checkconfig || return 1
+ ebegin "Regulating system clock with ${DAEMON}..."
+ /usr/sbin/${DAEMON} ${OPTS}
+ eend $?
+}
+
+stop() {
+ :
+}
+
+# vim: ts=4 sw=4 ft=sh:
diff --git a/net-misc/adjtimex/files/digest-adjtimex-1.16 b/net-misc/adjtimex/files/digest-adjtimex-1.16
new file mode 100644
index 000000000000..b30d2d004806
--- /dev/null
+++ b/net-misc/adjtimex/files/digest-adjtimex-1.16
@@ -0,0 +1,2 @@
+MD5 491116824724cd7ea5c679ac189775ee adjtimex_1.16-1.diff.gz 31236
+MD5 ac61a09deae112c30431c67f701569d9 adjtimex_1.16.orig.tar.gz 66783